Subject: Re: bug#26006: [Website] Integral update proposal

From: ng0 <[email-masked]>
Date: Mon, 2 Oct 2017 08:36:33 +0000

Ludovic Courtès transcribed 1.2K bytes:
> Hello ng0,
> 
> ng0 <[email-masked]> skribis:
> 
> > what's missing for this branch to be merged? I took a quick build on this
> > (and because I like the code as a reference), and it looks good. Builds,
> > maybe some changes from master have to be applied to it (like using
> > https instead of http at the download URLs).
> >
> > Anything missing we could help out with?
> 
> Sure, not that much is missing.  I must say that I’m really sorry that
> we failed to move forward on this after all the great work sirgazil did!
> 
> IIRC one of the problems is that the /packages page by default shows all
> packages, which is too much.  We should fix that.
> 
> Then I think there were tiny issues here and there, nothing big though
> (since the new site was written from scratch, some of the fine-tuning we
> did on the old one was lost.)
> 
> Last, we’ll need to setup redirects for the old blog post URLs, and
> perhaps for a few other pages.
> 
> If you could build it, browse it, report/fix issues, and identify
> redirects that need to be made, that would help tremendously!  I’ve felt
> lonely while working on it, so I’m really happy if you can take a closer
> look.  ;-)
> 
> Let’s team up and get this done!
> 
> Thanks,
> Ludo’.

Aside: 
I wasn't able to make use of the guix build -f build.scm
for my adaption of its code base
but haunt build on its own worked. The build.scm was
complaining about this:

user@abyayala ~/src/krosos.org$ guix build -f build.scm
substitute: updating list of substitutes from 'https://berlin.guixsd.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
The following derivation will be built:
   /gnu/store/jpqazlp2jh66q1yqsxasiqfkwjlx6pcr-gexp.drv
@ build-started /gnu/store/jpqazlp2jh66q1yqsxasiqfkwjlx6pcr-gexp.drv - x86_64-linux /var/log/guix/drvs/jp//qazlp2jh66q1yqsxasiqfkwjlx6pcr-gexp.drv.bz2
Backtrace:
           9 (primitive-load "/tmp/guix-build-gexp.drv-0/haunt.scm")
In ice-9/eval.scm:
   721:20  8 (primitive-eval (use-modules ((apps base builder) # …) …))
In ice-9/psyntax.scm:
  1234:36  7 (expand-top-sequence ((use-modules ((apps base …) …) …)) …)
  1181:24  6 (parse _ (("placeholder" placeholder)) ((top) #(# # …)) …)
   284:10  5 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) …)
In ice-9/boot-9.scm:
  3369:20  4 (process-use-modules _)
   230:17  3 (map1 (((apps base builder) #:prefix base:) ((# …) …) …))
  3370:31  2 (_ ((apps base builder) #:prefix base:))
   2795:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ …)
In unknown file:
           0 (scm-error misc-error #f "~A ~S" ("no code for modu…" …) …)

ERROR: In procedure scm-error:
ERROR: no code for module (apps base builder)
`/gnu/store/g0f0rsway1cik45kwdwbxfmqpv6nmqyg-krosos-web-site/deploy.sh' -> `./deploy.sh'
`/gnu/store/g0f0rsway1cik45kwdwbxfmqpv6nmqyg-krosos-web-site/haunt.scm' -> `./haunt.scm'
`/gnu/store/g0f0rsway1cik45kwdwbxfmqpv6nmqyg-krosos-web-site/build.scm' -> `./build.scm'
`/gnu/store/g0f0rsway1cik45kwdwbxfmqpv6nmqyg-krosos-web-site/.gitignore' -> `./.gitignore'
`/gnu/store/g0f0rsway1cik45kwdwbxfmqpv6nmqyg-krosos-web-site/COPYING' -> `./COPYING'
`/gnu/store/g0f0rsway1cik45kwdwbxfmqpv6nmqyg-krosos-web-site/guix.packages' -> `./guix.packages'
`/gnu/store/g0f0rsway1cik45kwdwbxfmqpv6nmqyg-krosos-web-site/guix.scm' -> `./guix.scm'
`/gnu/store/g0f0rsway1cik45kwdwbxfmqpv6nmqyg-krosos-web-site/README' -> `./README'
builder for `/gnu/store/jpqazlp2jh66q1yqsxasiqfkwjlx6pcr-gexp.drv' failed to produce output path `/gnu/store/0n9cp4djm8r3gpcdmbbnc2lgcxdicjm1-gexp'
@ build-failed /gnu/store/jpqazlp2jh66q1yqsxasiqfkwjlx6pcr-gexp.drv - 1 builder for `/gnu/store/jpqazlp2jh66q1yqsxasiqfkwjlx6pcr-gexp.drv' failed to produce output path `/gnu/store/0n9cp4djm8r3gpcdmbbnc2lgcxdicjm1-gexp'
guix build: error: build failed: build of `/gnu/store/jpqazlp2jh66q1yqsxasiqfkwjlx6pcr-gexp.drv' failed

Same for guix-artwork/website:

user@abyayala ~/re-src/guix-artwork/website$ guix build -f build.scm
substitute: updating list of substitutes from 'https://berlin.guixsd.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
The following derivation will be built:
   /gnu/store/z8h6fkc6wnimdpd3sj2gzfbrwa94v2qh-gexp.drv
@ build-started /gnu/store/z8h6fkc6wnimdpd3sj2gzfbrwa94v2qh-gexp.drv - x86_64-linux /var/log/guix/drvs/z8//h6fkc6wnimdpd3sj2gzfbrwa94v2qh-gexp.drv.bz2
Backtrace:
           9 (primitive-load "/tmp/guix-build-gexp.drv-0/haunt.scm")
In ice-9/eval.scm:
   721:20  8 (primitive-eval (use-modules ((apps base builder) # …) …))
In ice-9/psyntax.scm:
  1234:36  7 (expand-top-sequence ((use-modules ((apps base …) …) …)) …)
  1181:24  6 (parse _ (("placeholder" placeholder)) ((top) #(# # …)) …)
   284:10  5 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) …)
In ice-9/boot-9.scm:
  3369:20  4 (process-use-modules _)
   230:17  3 (map1 (((apps base builder) #:prefix base:) ((# …) …) …))
  3370:31  2 (_ ((apps base builder) #:prefix base:))
   2795:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ …)
In unknown file:
           0 (scm-error misc-error #f "~A ~S" ("no code for modu…" …) …)

ERROR: In procedure scm-error:
ERROR: no code for module (apps base builder)
`/gnu/store/cl6zzsjmmq8709zws6zcn0q5vhdz2rfs-guix-web-site/haunt.scm' -> `./haunt.scm'
`/gnu/store/cl6zzsjmmq8709zws6zcn0q5vhdz2rfs-guix-web-site/build.scm' -> `./build.scm'
`/gnu/store/cl6zzsjmmq8709zws6zcn0q5vhdz2rfs-guix-web-site/.gitignore' -> `./.gitignore'
`/gnu/store/cl6zzsjmmq8709zws6zcn0q5vhdz2rfs-guix-web-site/COPYING' -> `./COPYING'
`/gnu/store/cl6zzsjmmq8709zws6zcn0q5vhdz2rfs-guix-web-site/guix.packages' -> `./guix.packages'
`/gnu/store/cl6zzsjmmq8709zws6zcn0q5vhdz2rfs-guix-web-site/README' -> `./README'
builder for `/gnu/store/z8h6fkc6wnimdpd3sj2gzfbrwa94v2qh-gexp.drv' failed to produce output path `/gnu/store/cfiba1yi2bdfd019sdiljm5j2a41v0bb-gexp'
@ build-failed /gnu/store/z8h6fkc6wnimdpd3sj2gzfbrwa94v2qh-gexp.drv - 1 builder for `/gnu/store/z8h6fkc6wnimdpd3sj2gzfbrwa94v2qh-gexp.drv' failed to produce output path `/gnu/store/cfiba1yi2bdfd019sdiljm5j2a41v0bb-gexp'
guix build: error: build failed: build of `/gnu/store/z8h6fkc6wnimdpd3sj2gzfbrwa94v2qh-gexp.drv' failed
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://krosos.org